python2.7 安装 ipykernel

nick
  • 91

通过pip安装ipykernel不成功
安装

sudo python -m pip install --user --ignore-installed python-dateutil ipykernel
Collecting python-dateutil
  Downloading python_dateutil-2.6.1-py2.py3-none-any.whl (194kB)
    100% |████████████████████████████████| 194kB 108kB/s 
Collecting ipykernel
  Downloading ipykernel-4.7.0-py2-none-any.whl (106kB)
    100% |████████████████████████████████| 112kB 43kB/s 
Collecting six>=1.5 (from python-dateutil)
  Downloading six-1.11.0-py2.py3-none-any.whl
Collecting jupyter-client (from ipykernel)
  Downloading jupyter_client-5.2.1-py2.py3-none-any.whl (88kB)
    100% |████████████████████████████████| 92kB 40kB/s 
Collecting tornado>=4.0 (from ipykernel)
Collecting traitlets>=4.1.0 (from ipykernel)
  Downloading traitlets-4.3.2-py2.py3-none-any.whl (74kB)
    100% |████████████████████████████████| 81kB 28kB/s 
Collecting ipython>=4.0.0 (from ipykernel)
  Downloading ipython-5.5.0-py2-none-any.whl (758kB)
    100% |████████████████████████████████| 768kB 46kB/s 
Collecting jupyter-core (from jupyter-client->ipykernel)
  Downloading jupyter_core-4.4.0-py2.py3-none-any.whl (126kB)
    100% |████████████████████████████████| 133kB 27kB/s 
Collecting pyzmq>=13 (from jupyter-client->ipykernel)
  Downloading pyzmq-16.0.3-cp27-cp27m-macosx_10_6_intel.whl (1.1MB)
    100% |████████████████████████████████| 1.1MB 32kB/s 
Collecting backports-abc>=0.4 (from tornado>=4.0->ipykernel)
  Downloading backports_abc-0.5-py2.py3-none-any.whl
Collecting certifi (from tornado>=4.0->ipykernel)
  Downloading certifi-2017.11.5-py2.py3-none-any.whl (330kB)
    100% |████████████████████████████████| 337kB 39kB/s 
Collecting singledispatch (from tornado>=4.0->ipykernel)
  Downloading singledispatch-3.4.0.3-py2.py3-none-any.whl
Collecting ipython-genutils (from traitlets>=4.1.0->ipykernel)
  Downloading ipython_genutils-0.2.0-py2.py3-none-any.whl
Collecting decorator (from traitlets>=4.1.0->ipykernel)
  Downloading decorator-4.1.2-py2.py3-none-any.whl
Collecting enum34; python_version == "2.7" (from traitlets>=4.1.0->ipykernel)
  Downloading enum34-1.1.6-py2-none-any.whl
Collecting setuptools>=18.5 (from ipython>=4.0.0->ipykernel)
  Downloading setuptools-38.4.0-py2.py3-none-any.whl (489kB)
    100% |████████████████████████████████| 491kB 47kB/s 
Collecting simplegeneric>0.8 (from ipython>=4.0.0->ipykernel)
Collecting backports.shutil-get-terminal-size; python_version == "2.7" (from ipython>=4.0.0->ipykernel)
  Downloading backports.shutil_get_terminal_size-1.0.0-py2.py3-none-any.whl
Collecting pygments (from ipython>=4.0.0->ipykernel)
  Downloading Pygments-2.2.0-py2.py3-none-any.whl (841kB)
    100% |████████████████████████████████| 849kB 41kB/s 
Collecting appnope; sys_platform == "darwin" (from ipython>=4.0.0->ipykernel)
  Downloading appnope-0.1.0-py2.py3-none-any.whl
Collecting pexpect; sys_platform != "win32" (from ipython>=4.0.0->ipykernel)
  Downloading pexpect-4.3.1-py2.py3-none-any.whl (55kB)
    100% |████████████████████████████████| 61kB 60kB/s 
Collecting pickleshare (from ipython>=4.0.0->ipykernel)
  Downloading pickleshare-0.7.4-py2.py3-none-any.whl
Collecting prompt-toolkit<2.0.0,>=1.0.4 (from ipython>=4.0.0->ipykernel)
  Downloading prompt_toolkit-1.0.15-py2-none-any.whl (247kB)
    100% |████████████████████████████████| 256kB 31kB/s 
Collecting pathlib2; python_version == "2.7" or python_version == "3.3" (from ipython>=4.0.0->ipykernel)
  Downloading pathlib2-2.3.0-py2.py3-none-any.whl
Collecting ptyprocess>=0.5 (from pexpect; sys_platform != "win32"->ipython>=4.0.0->ipykernel)
  Downloading ptyprocess-0.5.2-py2.py3-none-any.whl
Collecting wcwidth (from prompt-toolkit<2.0.0,>=1.0.4->ipython>=4.0.0->ipykernel)
  Downloading wcwidth-0.1.7-py2.py3-none-any.whl
Collecting scandir; python_version < "3.5" (from pathlib2; python_version == "2.7" or python_version == "3.3"->ipython>=4.0.0->ipykernel)
Installing collected packages: six, python-dateutil, ipython-genutils, decorator, enum34, traitlets, jupyter-core, pyzmq, jupyter-client, backports-abc, certifi, singledispatch, tornado, setuptools, simplegeneric, backports.shutil-get-terminal-size, pygments, appnope, ptyprocess, pexpect, scandir, pathlib2, pickleshare, wcwidth, prompt-toolkit, ipython, ipykernel
Successfully installed appnope-0.1.0 backports-abc-0.5 backports.shutil-get-terminal-size-1.0.0 certifi-2017.11.5 decorator-4.1.2 enum34-1.1.6 ipykernel-4.7.0 ipython-5.5.0 ipython-genutils-0.2.0 jupyter-client-5.2.1 jupyter-core-4.4.0 pathlib2-2.3.0 pexpect-4.3.1 pickleshare-0.7.4 prompt-toolkit-1.0.15 ptyprocess-0.5.2 pygments-2.2.0 python-dateutil-2.6.1 pyzmq-16.0.3 scandir-1.6 setuptools-38.4.0 simplegeneric-0.8.1 singledispatch-3.4.0.3 six-1.11.0 tornado-4.5.3 traitlets-4.3.2 wcwidth-0.1.7

卸载

pip uninstall ipykernel
Cannot uninstall requirement ipykernel, not installed
回复
阅读 6.4k
撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏